Subject: Re: [1/2] 2.6.21-rc7: known regressions

From: Jeff Garzik <[email-masked]>
Date: Mon, 16 Apr 2007 20:41:19 -0400

Dave Jones wrote:
> On Mon, Apr 16, 2007 at 05:14:40PM -0700, Brandeburg, Jesse wrote:
>  > Adrian Bunk wrote:
>  > > Subject    : laptops with e1000: lockups
>  > > References :
>  > > https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229603 
>  > > Submitter  : Dave Jones <[email-masked]>
>  > > Handled-By : Jesse Brandeburg <[email-masked]>
>  > > Status     : problem is being debugged
>  > 
>  > this is being actively debugged, here is what we have so far:
>  > o v2.6.20: crashes during boot, unless noacpi and nousb bootparams used
>  > o v2.6.21-rc6: some userspace issue, crashes just after root mount
>  > without init=/bin/bash
>  > o v2.6.2X: serial console in docking station spews goo at all speeds
>  > with console=ttyS0,bbbbn8 . work continues on this, as we don't know if
>  > there are kernel panic messages during the hard lock.
>  > o fedora 7 test kernel 2948: boots okay, have been using this as only
>  > truly working kernel on this machine.
>  > 
>  > one reproduction of the problem was had with scp -l 5000 <file> <remote>
>  > when linked at 100Mb/Full.  Tried probably 20 other times same test with
>  > no repro, ugh.
>  > 
>  > Otherwise, slogging through continues.  We are actively working on this
>  > in case it *is* an e1000 issue.  Right now the repro is so unlikely we
>  > could hardly tell if we fixed it.
> 
> FWIW, I can reproduce this pretty much ondemand, on 100M through
> the ethernet port on a netgear wireless AP.
> A number of our Fedora7 testers are also able to easily reproduce this.
> To isolate e1000, for tomorrows test build I've reverted e1000 to
> the same code that was in 2.6.20.  If that works out without causing
> hangs, I'll try and narrow down further which of the dozen csets
> is responsible.

Also, there are e1000 fixes in -mm.  At the time (rc2? rc3?) I felt it 
was best to get that into -mm for testing, rather than fast-tracking it 
to 2.6.21.

But hey, see if they help.

It's the netdev-2.6.git#e1000-fixes branch, if you are git-ified.  I was 
going to push them first thing 2.6.22.

	Jeff